package net.xpyun.platform.opensdk.util;

import net.xpyun.platform.opensdk.vo.RestRequest;

/**
 * @author LylJavas
 * @create 2021/2/26 15:14
 * @description Public configuration class
 */
public class Config {
    /**
     * *Required*: Xinye Cloud background registration account (ie email address or developer ID), after successful registration of the developer user,
     * log in to Xinye Cloud background and view the developer ID under [Personal Center -> Account information]
     * <p>
     * Currently [XXXXXXXXXXXXX] is just an example, need to be modified before use
     */
    public static final String USER_NAME = "XXXXXXXXXXXXX";
    /**
     * *Required*: The developer key automatically generated after registering an account on the Xinye Cloud background.
     * After the developer user has successfully registered,log in to the Xinye Cloud background and view the developer key under [Personal Center -> Account information]
     * <p>
     * Currently [XXXXXXXXXXXXXXXXXXXXXXXXXX] is just an example, need to be modified before use
     */
    public static final String USER_KEY = "XXXXXXXXXXXXXXXXXXXXXXXXXX";
    /**
     * *Required*: The printer number, you must add a printer or call the API interface to add a printer under [Print Management -> Printer Management] in the backstage of Xinye Cloud Management.
     * Pay attention to replace the printer number when testing the ticket machine and labeling machine
     * How to get the print number: There will be a QR code with PID at the bottom of the printer, and a string of characters after the PID is the printer number
     * <p>
     * Currently [XXXXXXXXXXXXXX] is just an example, need to be modified before use，This is just a test example, so the printer number is constant, and developers can make variable according to their actual needs
     */
    public static final String OK_PRINTER_SN = "XXXXXXXXXXXXXX";

    /**
     * create common request header
     *
     * @param request Parameters that must be passed in all requests
     */
    public static void createRequestHeader(RestRequest request) {
        //*Required*: Registered account of Xinye cloud platform (developer ID)
        request.setUser(USER_NAME);
        //*Required*: Current UNIX timestamp
        request.setTimestamp(System.currentTimeMillis() + "");
        //*Required*: After the parameter user + UserKEY + timestamp is spliced (+ indicates connector), SHA1 encryption will produce a signature.
        //The value is a 40-bit lowercase string, where UserKEY is a developer key for the user.
        request.setSign(HashSignUtil.sign(request.getUser() + USER_KEY + request.getTimestamp()));
        //When debug is equal to 1, it will return to non-json data, which is only used for testing.
        request.setDebug("0");
    }
}
